LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
SlideSorter Service Reference

A slide sorter shows previews for a set of slides, typically all slides in a document, and allows the selection, reordering, creation, and deletion of slides. More...

`import"SlideSorter.idl";`

Inheritance diagram for SlideSorter:

## Public Member Functions
| create ([in] framework::XResourceId xViewId, [in] ::com::sun::star::frame::XController xController, [in] ::com::sun::star::awt::XWindow xParentWindow)
| Create a new slide sorter object. More...
Public Member Functions inherited from XResource
XResourceId | getResourceId ()
| Return an XResourceId object for the called resource. More...
boolean | isAnchorOnly ()
| Some resources must not be leafs, i.e. More...
Public Member Functions inherited from XDrawView
void | setCurrentPage ([in] com::sun::star::drawing::XDrawPage xPage)
| changes the current page. More...
com::sun::star::drawing::XDrawPage | getCurrentPage ()
| returns the current page. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Additional Inherited Members
Exported Interfaces inherited from XSlideSorterBase
interface | ::com::sun::star::drawing::framework::XView
| This interface is included to mark a SlideSorter object as view of the drawing framework and to provide a ResourceId. More...
interface | ::com::sun::star::drawing::XDrawView
| The XDrawView interface is included to provide access to the current slide (especially write access). More...
Exported Interfaces inherited from XView
interface | XResource
Public Attributes inherited from XSlideSorterBase
::com::sun::star::container::XIndexAccess | DocumentSlides
| The set of slides that are displayed by the implementing object. More...
boolean | IsHighlightCurrentSlide
| Set this flag to `TRUE` in order to have the current slide highlighted. More...
boolean | IsShowSelection
| Set this flag to `TRUE` in order to visualize the selection of slides (typically a bold frame around the selected slides). More...
boolean | IsShowFocus
| Set this flag to `TRUE` to visualize to where the focus is by showing a dotted rectangle around the focused slide. More...
boolean | IsCenterSelection
| When this flag has the value `TRUE` then every time the current slide is changed the visual area is shifted so that the new current slide is display in the center of the slide sorter window. More...
boolean | IsSuspendPreviewUpdatesDuringFullScreenPresentation
| This flag controls whether updates of previews are created during full screen presentations (`FALSE`) or not (`TRUE`). More...
boolean | IsOrientationVertical
| The orientation of a slide sorter can be either vertical (`TRUE`) or horizontal (`FALSE`). More...
boolean | IsSmoothScrolling
| This flag is a hint to make scrolling look smooth. More...
::com::sun::star::util::Color | BackgroundColor
::com::sun::star::util::Color | TextColor
::com::sun::star::util::Color | SelectionColor
::com::sun::star::util::Color | HighlightColor
boolean | IsUIReadOnly
| This flag controls whether the model can be modified by using keyboard or mouse. More...

## Detailed Description

A slide sorter shows previews for a set of slides, typically all slides in a document, and allows the selection, reordering, creation, and deletion of slides.

In the drawing framework a slide sorter is regarded as a view.

## Member Function Documentation

## ◆ create()

create | ( | [in] framework::XResourceId | xViewId,
|  | [in] ::com::sun::star::frame::XController | xController,
|  | [in] ::com::sun::star::awt::XWindow | xParentWindow
| ) |  |

Create a new slide sorter object.

Parameters

  xViewId | The resource id of the new slide sorter.
  xController | The access point to an impress document.
  xParentWindow | The parent window which will be completely covered by the new slide sorter.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/SlideSorter.idl